-- diamond wingbase
minetest.register_craftitem("gear_up:diamond_wingbase", {
	description = ("Diamond Wing Base \n"..
		core.colorize("#aaaaaa","A sturdy diamond & mese encrusted metal skeleton for a wing, powered by mese. \n")..
		""..
		core.colorize("#aaaaaa","used for crafting wearable wings")..
		""),
	inventory_image = "wing_base.png",
})

minetest.register_craft({
	output = "gear_up:diamond_wingbase 1",
	recipe = {
		{"default:steel_ingot", "default:diamondblock", "default:steel_ingot"},
		{"default:mese", "default:steel_ingot", "default:mese"},
		{"default:steel_ingot", "default:diamondblock", "default:steel_ingot"},
	}
})

-- wooden wingbase
minetest.register_craftitem("gear_up:wooden_wingbase", {
	description = ("Wooden Wing Base \n"..
		core.colorize("#aaaaaa","A magical wooden frame. \n")..
		""..
		core.colorize("#aaaaaa","used for crafting wearable wings")..
		""),
	inventory_image = "wooden_wingbase.png",
})

minetest.register_craft({
	output = "gear_up:wooden_wingbase 1",
	recipe = {
		{"default:stick", "farming:string", "default:stick"},
		{"default:stick", "gear_up:padded_armor", "default:stick"},
		{"default:gold_ingot", "farming:straw", "default:gold_ingot"},
	}
})

-- charcoal
minetest.register_craftitem("gear_up:charcoal_briquette", {
	description = ("Charcoal Briquette"),
	inventory_image = "charcoal_briquette_inv.png",
})

minetest.register_craft({
	type = "cooking",
	recipe = "group:leaves",
	output = "gear_up:charcoal_briquette",
})

minetest.register_craft({
	output = "default:coal_lump",
	recipe = {
		{"gear_up:charcoal_briquette", "gear_up:charcoal_briquette", "gear_up:charcoal_briquette"},
		{"gear_up:charcoal_briquette", "gear_up:charcoal_briquette", "gear_up:charcoal_briquette"},
		{"gear_up:charcoal_briquette", "gear_up:charcoal_briquette", "gear_up:charcoal_briquette"},
	}
})
